summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorBrant Knudson <bknudson@us.ibm.com>2014-01-06 15:16:52 -0600
committerBrant Knudson <bknudson@us.ibm.com>2014-01-06 15:16:52 -0600
commit67718a0322948827ebc1516c56a6fa2061785d19 (patch)
tree85e00f4bcc62d75ae39f42f11a165c543f5a0a99 /tools
parent01dc81aa148adaa127281f197047636cf2d2c898 (diff)
downloadpython-keystoneclient-67718a0322948827ebc1516c56a6fa2061785d19.tar.gz
Debug env for tox
Running a test with pdb was difficult because testr captures output and causes pdb prompt to quit. Tips for how to run testr with debug are provided here: https://wiki.openstack.org/wiki/Testr#Debugging_.28pdb.29_Tests This change puts these commands into a debug env in tox.ini so you can do a command like tox -e debug test_auth_token_middleware or, for more granularity: tox -e debug keystone.tests.test_sql_migrate_extensions.EndpointFilterExtension tox -e debug keystone.tests.test_sql_migrate_extensions.EndpointFilterExtension.test_downgrade and when it hits your breakpoint you'll get the debug prompt. This same change was made to keystone in commit c8302509 . Change-Id: I2b5dc81f4652dc89ecbcc7c785245a81cf77a1ca
Diffstat (limited to 'tools')
-rwxr-xr-xtools/debug_helper.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/tools/debug_helper.sh b/tools/debug_helper.sh
new file mode 100755
index 0000000..b80b10c
--- /dev/null
+++ b/tools/debug_helper.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+TMP_DIR=`mktemp -d` || exit 1
+trap "rm -rf $TMP_DIR" EXIT
+
+ALL_TESTS=$TMP_DIR/all_tests
+TESTS_TO_RUN=$TMP_DIR/ksc_to_run
+
+python -m testtools.run discover -t ./ ./keystoneclient/tests --list > $ALL_TESTS
+
+if [ "$1" ]
+then
+ grep "$1" < $ALL_TESTS > $TESTS_TO_RUN
+else
+ mv $ALL_TESTS $TESTS_TO_RUN
+fi
+
+python -m testtools.run discover --load-list $TESTS_TO_RUN